#
# kihonb.rb
#
# $Id: kihonb.rb,v 1.1 2000/11/21 03:15:39 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath


nmax = 9
y = NArray.sfloat(nmax)

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws

sgfrm

x1 = 0.1
x2 = 0.9
xc = 0.5

#--  ----
for n in 1..nmax
  y[n-1] = 0.1*(10-n)
  sglnv(x1, y[n-1], x2, y[n-1])
end

sglnv(xc, 0.05, xc, 0.95)

#-- ǥե ----
sgtxv(xc, y[0], 'SGTXV|SUP"RST_SUB"')

#-- ź ----
sglset('LCNTL', true)
sgtxv(xc, y[1], 'SGTXV|SUP"RST_SUB"')

sgrset('SMALL', 0.5)
sgrset('SHIFT', 0.5)
sgtxv(xc, y[2], 'SGTXV|SUP"RST_SUB"')

#-- ե ----
sgtxv(xc, y[3], 'ABCDEFG abcdefg')

sgiset('IFONT', 2)
sgtxv(xc, y[4], 'ABCDEFG abcdefg')

sgstxi(3)
sgtxv(xc, y[5], 'ABCDEFG abcdefg')

sgiset('IFONT', 1)
sgstxi(1)

#-- ꥷʸ ----
greek1 = csgi(128) + csgi(129) + csgi(130) + csgi(131) + csgi(132) +
         csgi(133) + csgi(134) + csgi(135) + csgi(136) + csgi(137)
greek2 = csgi(152) + csgi(153) + csgi(154) + csgi(155) + csgi(156) +
         csgi(157) + csgi(158) + csgi(159) + csgi(160) + csgi(161)

sgtxv(xc, y[6], greek1)
sgtxv(xc, y[7], greek2)

#-- ü쵭 ----
symbol = csgi(189) + csgi(190) + csgi(191) + csgi(192) + csgi(193) +
         csgi(210) + csgi(211) + csgi(212) + csgi(217) + csgi(218)

sgtxv(xc, y[8], symbol)

sgcls

